<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qt-design-viewer.qdoc -->
  <title>Previewing in Browsers | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Previewing in Browsers</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-live-preview-devices.html" />
  <link rel="next" href="creator-building-targets.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-live-preview-devices.html">Previewing on Devices</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-building-targets.html">Building for Multiple Platforms</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Previewing in Browsers</h1>
<span class="subtitle"></span>
<!-- $$$qt-design-viewer.html-description -->
<div class="descr"> <a name="details"></a>
<p class="centerAlign"><img src="images/qt-design-viewer.png" alt="" /></p><p>Qt Design Viewer is a QML viewer that runs in your web browser. This means that you can run applications in most widely-used web browsers, such as Apple Safari, Google Chrome, Microsoft Edge, and Mozilla Firefox, on the desktop and on mobile devices.</p>
<p>The startup and compilation time depend on your browser and configuration. However, the actual performance of the application once started is indistinguishable from the same application running on the desktop.</p>
<p>You can run <a href="quick-projects.html#creating-qt-quick-ui-projects">Qt Quick UI projects</a>, which have a .qmlproject file that define the main QML file and the import paths. Compress the project folder into a ZIP file that you upload to Qt Design Viewer. The loaded applications remain locally in your browser. No data is uploaded into the cloud.</p>
<p>To preview an application in a web browser:</p>
<ul>
<li>In the browser, open <a href="http://qt-webassembly.io/designviewer/">Qt Design Viewer</a>.</li>
<li>Drag and drop your application package to Qt Design Viewer, or click the load icon to browse for your file.</li>
</ul>
<p>Your application is compiled and run on Qt Design Viewer.</p>
</div>
<!-- @@@qt-design-viewer.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-live-preview-devices.html">Previewing on Devices</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-building-targets.html">Building for Multiple Platforms</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
